package springmvc.util;

import java.io.Serializable;

import javax.persistence.EntityManager;

import org.springframework.beans.factory.annotation.Autowired;

public abstract class GenericDAO <T , PK extends Serializable> implements IGenericDAO<T, PK>
{
	
	@Autowired
	protected EntityManager entityManager;

	protected Class<T> clazz;
	
	public GenericDAO(final Class<T> clazz)
	{
		this.clazz = clazz;
	}
	
	@Override
	public void save(final T entity)
	{
		entityManager.persist(entity);
	}
	
	@Override
	public void delete(final T entity)
	{
		entityManager.remove(entity);
	}
}
